Subject: Re: linux-next: manual merge of the asm-generic tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 12 Jun 2009 18:18:02 +1000

Hi Arnd,

On Fri, 12 Jun 2009 10:05:32 +0200 Arnd Bergmann <[email-masked]> wrote:
>
> On Friday 12 June 2009, Stephen Rothwell wrote:
> > Today's linux-next merge of the asm-generic tree got a conflict in
> > include/asm-generic/atomic.h between commit
> > 53e111a730ea8b002d57dd226098c12789993329 ("x86: Fix atomic_long_xchg() on
> > 64bit") from Linus' tree and commit
> > 72099ed2719fc5829bd79c6ca9d1783ed026eb37 ("asm-generic: rename atomic.h
> > to atomic-long.h") from the asm-generic tree.
> > 
> > I applied the fix from the former patch to atomic-long.h
> 
> I pulled Linus' tree into the asm-generic tree now and fixed the two conflicts
> in the same way you did. I thought about doing a rebase on his tree instead,
> but wasn't sure what works better.

I think what works better is what you are most comfortable with.  Your
way works fine for me.  Thanks.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/